Qt 5.6 | Qt Core | C++ Classes | QTextEncoder

Qt 5.6.2 Reference Documentation

# QTextEncoder Class

The QTextEncoder class provides a state-based encoder. More...

Header: | #include <QTextEncoder>
qmake: | QT += core

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| QTextEncoder(const QTextCodec *codec)
| QTextEncoder(const QTextCodec *codec, QTextCodec::ConversionFlags flags)
| ~QTextEncoder()
QByteArray | fromUnicode(const QString &str)
QByteArray | fromUnicode(const QChar *uc, int len)

## Detailed Description

The QTextEncoder class provides a state-based encoder.

A text encoder converts text from Unicode into an encoded text format using a specific codec.

The encoder converts Unicode into another format, remembering any state that is required between calls.

See also QTextCodec::makeEncoder() and QTextDecoder.

## Member Function Documentation

### QTextEncoder::QTextEncoder(const QTextCodec *codec)

Constructs a text encoder for the given codec.

### QTextEncoder::QTextEncoder(const QTextCodec *codec, QTextCodec::ConversionFlags flags)

Constructs a text encoder for the given codec and conversion flags.

This function was introduced in Qt 4.7.

### QTextEncoder::~QTextEncoder()

Destroys the encoder.

### QByteArray QTextEncoder::fromUnicode(const QString &str)

Converts the Unicode string str into an encoded QByteArray.

### QByteArray QTextEncoder::fromUnicode(const QChar *uc, int len)

This is an overloaded function.

Converts len characters (not bytes) from uc, and returns the result in a QByteArray.